/***********************************************************/
/*             (C) Barrett Technology Inc.                 */
/*             139 Main Street                             */
/*             Cambridge, MA 02142, USA                    */
/*             Version 3.0        1995                     */
/*             Author: Daniel Griscom                      */
/***********************************************************/

/* File: assembly.h.
	This file has two interrupt-related assembly code functions. */

/* intGet returns 0 if interrupts are enabled, 1 if they are not. */
int intGet(void);

/* intSet enables interrupts if its argument is 0, disables them if not. */
void intSet(int theLevel);

