;	C STARTUP FOR MC68HC11
;	Copyright (c) 1995 by COSMIC Software
;
	.external	_main, __memory
	.public		_exit, __stext
;
	.psect	_bss
__sbss:
	.psect	_text
__stext:
	clra			; reset the bss
	ldx	#__sbss		; start of bss
	bra	loop		; start loop
zbcl:
	staa	0,x		; clear byte
	inx			; next byte
loop:
	cpx	#__memory	; up to the end
	bne	zbcl		; and loop
;
	xgdx			; initialize stack pointer
	addd	#1000H		; with 4K above end of bss
	xgdx
	txs
;	lds	#1FFH		; or with an absolute value
	jsr	_main		; execute main
_exit:
	bra	_exit		; and stay here
;
	.end
