;/***********************************************************/
;/*             (C) Barrett Technology Inc.                 */
;/*             545 Concord Avenue                          */
;/*             Cambridge, MA 02138, USA                    */
;/*             Version 2.2        1994                     */
;/*             Author: Jie Ren                             */
;/***********************************************************/
;
	.public _getAch
;
_getAch:
                ldab 73H        ; load end (read) pointer                
                cmpb 71H        ; compare with start (write) pointer
                beq  no_char
                ldx  72H         ; save end (read) pointer
                inc  73H         ; increment end (read) pointer
                ldab 73H
                andb #8FH	; #$80+$0F   * check for ring overflow
                stab 73H
                clra
                ldab 0,x        ; load contents from pointer
                bra end_char
no_char:        clra
                clrb
end_char:       nop
	        rts
;
;	.end



;;;===================================
;;* init. serial port and its buffer pointers
;
	.public _clrSerial
;
_clrSerial:
        sei             ; disable interrupts
        ldaa 102fH	;;SCDR       ; clear contents of serial data register
       
        ldaa #80H       ; initialize input buffer
        staa 71H        ; start pointer points to 1st byte
        staa 73H        ; end pointer points to 1st byte
        ldaa #00H
        staa 70H        ; high byte of 16 bit pointer is zeroed
        staa 72H        ; high byte of 16 bit pointer is zeroed

        ldaa #2cH
        staa 102dH	;; SCCR2      ; enable receiver interrupt

        cli             ; enable interrupts
	        rts
;
	.end
       



