/***********************************************************/
/*             (C) Barrett Technology Inc.                 */
/*             545 Concord Avenue                          */
/*             Cambridge, MA 02138, USA                    */
/*             Version 2.2        1994                     */
/*             Author: Jie Ren                             */
/***********************************************************/
/* sysc.c */

#include <stdio.h>
#include "bhand.h"
#include "hpdef.h"

/* wait forever to get a character from the keyborad*/
int getAchar()
{
        int c;

#ifdef DOS
        c = getch();
#else
        while (1) {
                c = getAch();
                if ( c != 0 ) break;
                copReset();
        }
#endif /*DOS*/

        if ( c >= 'a' ) c -= 32;  /*Upper case*/
        if ( c != 13) printf("%c",c);

        return c;
}        

#ifdef DOS
void clrSerial()		/* initialize serial port */
{
} 
#include <conio.h>
int getAch()
{
        int c = 0;

        if (kbhit()) c = getch();

        return c;
}

#endif /*DOS*/

void sendChar(char cc)
{
        while ( !(SCSR & 0x80))
                ;
         SCDR = cc;
}

