/*	INTERRUPT VECTORS TABLE
 *	Copyright (c) 1995 by COSMIC Software
 */
#include <stdlib.h>

extern void _stext();		/* startup routine */
extern void recept();		/* character receive handler */

void (* const _vectab[])() = {
	recept,		/* SCI              */
	NULL,		/* SPI              */
	NULL,		/* Pulse acc input  */
	NULL,		/* Pulse acc overf  */
	NULL,		/* Timer overf      */
	NULL,		/* Output compare 5 */
	NULL,		/* Output compare 4 */
	NULL,		/* Output compare 3 */
	NULL,		/* Output compare 2 */
	NULL,		/* Output compare 1 */
	NULL,		/* Input capture 3  */
	NULL,		/* Input capture 2  */
	NULL,		/* Input capture 1  */
	NULL,		/* Real time        */
	NULL,		/* IRQ              */
	NULL,		/* XIRQ             */
	NULL,		/* SWI              */
	NULL,		/* illegal          */
	NULL,		/* cop fail         */
	NULL,		/* cop clock fail   */
	_stext,		/* RESET            */
	};
