/***********************************************************/
/*             (C) Barrett Technology Inc.                 */
/*             139 Main Street                             */
/*             Cambridge, MA 02142, USA                    */
/*             Version 4.0        1998                     */
/*             Author: Daniel Griscom                      */
/*             		   Suitable Systems                    */
/*             		   griscom@suitable.com                */
/*             		   www.suitable.com                    */
/***********************************************************/

/* File: loop.h
	This code contains the loop control functions. */

#ifndef _loop_h
#define _loop_h

#include "hp.h"
#include "param.h"

/* =================== Static vars ================ */

/* This stores the most recently reported motor positions. */
extern unsigned int lastReportedPos[4 + 1];

/* =================== Main Functions ====================== */

/* loopDo does the loop control function. Returns any error. */
int CmdLoop(void);

#endif /* #ifndef _loop_h */
